
import string


def add_repl_manager(ds, replication_manager_dn, replication_manager_pw):
    input = """
        dn: {dn}
        objectClass: inetorgperson
        objectClass: person
        objectClass: top
        cn: replication manager
        sn: RM
        userPassword: {pw}
        passwordExpirationTime: 20380119031407Z
        nsIdleTimeout: 0
    """.format(dn=replication_manager_dn, pw=replication_manager_pw)
    ds.ldapadd_r(input)

def enable_changelog(ds, changelog_location, changelogmaxage="10dc"):
    input = """
        dn: cn=changelog5,cn=config
        objectclass: top
        objectclass: extensibleObject
        cn: changelog5
        nsslapd-changelogdir: {dir}
        nsslapd-changelogmaxage: {maxage}
    """.format(dir=changelog_location, maxage=changelogmaxage)
    ds.ldapadd_r(input)

def disable_changelog(ds):
    ds.ldapdelete_r("cn=changelog5,cn=config")
